## libcli 1.8.5

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 MAJOR = 1
 MINOR = 8
-REVISION = 4
+REVISION = 5
 LIB = libcli.so
 
 CC = gcc
