## libcli 1.8.8

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 MAJOR = 1
 MINOR = 8
-REVISION = 6
+REVISION = 8
 LIB = libcli.so
 
 CC = gcc
@@ -23,10 +23,12 @@
 	ln -s $(LIB).$(MAJOR).$(MINOR) $(LIB)
 
 %.o: %.c
-	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -o $@ -c $^
+	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -o $@ -c $<
+
+libcli.o: libcli.h
 
 clitest: clitest.o $(LIB)
-	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^ -L. -lcli
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< -L. -lcli
 
 clean:
 	rm -f *.o $(LIB)* clitest
