## libcli 1.9.6

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,25 @@
+UNAME = $(shell sh -c 'uname -s 2>/dev/null || echo not')
 DESTDIR =
 PREFIX = /usr/local
 
 MAJOR = 1
 MINOR = 9
-REVISION = 0
+REVISION = 6
 LIB = libcli.so
 
 CC = gcc
 DEBUG = -g
 OPTIM = -O3
-CFLAGS += $(DEBUG) $(OPTIM) -Wall -Wformat-security -Wno-format-zero-length
-LDFLAGS += -shared -Wl,-soname,$(LIB).$(MAJOR).$(MINOR)
+CFLAGS += $(DEBUG) $(OPTIM) -Wall -std=c99 -pedantic -Wformat-security -Wno-format-zero-length -Werror -Wwrite-strings -Wformat -fdiagnostics-show-option -Wextra -Wsign-compare -Wcast-align -Wno-unused-parameter
+LDFLAGS += -shared
 LIBPATH += -L.
+
+ifeq ($(UNAME),Darwin)
+LDFLAGS += -Wl,-install_name,$(LIB).$(MAJOR).$(MINOR)
+else
+LDFLAGS += -Wl,-soname,$(LIB).$(MAJOR).$(MINOR)
 LIBS = -lcrypt
+endif
 
 all: $(LIB) clitest
 
@@ -29,6 +36,9 @@
 
 clitest: clitest.o $(LIB)
 	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< -L. -lcli
+
+clitest.exe: clitest.c libcli.o
+	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $< libcli.o -lws2_32
 
 clean:
 	rm -f *.o $(LIB)* clitest
