=== debian/changelog ===
libcli (1.9.6-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper to compat level 8.
  * Move to source format 3.0 (quilt).
  * Ship clitest.c as example with -dev package. (closes: #550169)
  * Enable hardening flags.
  * Enabled multiarch.
  * Bump Standards-Version to 3.9.3.0 (no changes).
  * Add Vcs-Git header to debian/control
  * Update watch file.

 -- Jonathan McDowell <noodles@earth.li>  Wed, 06 Jun 2012 22:05:07 -0700

libcli (1.9.1~20080302-1) unstable; urgency=low

  * New upstream release (1.9.0 + CVS fixes).
  * Alter watch file to use qa.debian.org redirector. (closes: #450183)
  * Lintian cleanups:
    * Don't ignore make clean errors.
    * Change from ${Source-Version} to ${binary:Version}
    * Fix copyright declaration.
    * Bump standards version (no other changes).

 -- Jonathan McDowell <noodles@earth.li>  Sun, 02 Mar 2008 10:11:29 +0000

libcli (1.8.8-2) unstable; urgency=low

  * Add Provides/Replaces/Conflicts for libcli1; we're providing the same
    ABI, just with a correctly named package.

 -- Jonathan McDowell <noodles@earth.li>  Tue, 29 May 2007 15:04:43 +0100

libcli (1.8.8-1) unstable; urgency=low

  * New upstream release.
  * Fix binary package name to match soname (libcli1.8).
  * Bump Standards-Version to 3.7.2.2 (no changes).

 -- Jonathan McDowell <noodles@earth.li>  Mon, 21 May 2007 17:37:31 +0100

libcli (1.8.6-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan McDowell <noodles@earth.li>  Mon, 20 Mar 2006 16:47:49 +0000

libcli (1.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan McDowell <noodles@earth.li>  Thu, 05 May 2005 12:34:24 +0100

libcli (1.8.4-1) unstable; urgency=low

  * New upstream release.
  * Fix up watch file.
  * Lower case first letter of Description to keep lintian happy.

 -- Jonathan McDowell <noodles@earth.li>  Thu, 06 Jan 2005 14:08:17 +0000

libcli (1.8.2-1) unstable; urgency=low

  * New upstream release.
  * Initial Debian upload (closes: #280611)

 -- Jonathan McDowell <noodles@earth.li>  Tue, 16 Nov 2004 12:25:56 +0000

libcli (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Jonathan McDowell <noodles@earth.li>  Wed,  1 Sep 2004 10:55:56 +0100

libcli (1.6.2-1) unstable; urgency=low

  * Initial packaging.

 -- Jonathan McDowell <noodles@earth.li>  Wed, 30 Jun 2004 12:13:31 +0100
