=== debian/control ===
Source: libcli
Priority: optional
Section: libs
Maintainer: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper (>> 8)
Standards-Version: 3.9.3.0
Vcs-Git: https://github.com/dparrish/libcli.git

Package: libcli-dev
Section: libdevel
Architecture: any
Depends: libcli1.9 (= ${binary:Version}), ${misc:Depends} 
Description: emulates a cisco style telnet command-line interface (dev files)
 libcli provides a consistant Cisco style command-line environment for
 remote clients, with a few common features between every implemtation.
 .
 The library is not accessed by itself, rather the software which uses
 it listens on a defined port for a Telnet connection. This connection
 is handed off to libcli for processing.
 .
 libcli includes support for command history, command line editing and
 filtering of command output.
 .
 This package contains the files necessary for developing applications
 with libcli.

Package: libcli1.9
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Conflicts: libcli1
Provides: libcli1
Replaces: libcli1
Description: emulates a cisco style telnet command-line interface
 libcli provides a consistant Cisco style command-line environment for
 remote clients, with a few common features between every implemtation.
 .
 The library is not accessed by itself, rather the software which uses
 it listens on a defined port for a Telnet connection. This connection
 is handed off to libcli for processing.
 .
 libcli includes support for command history, command line editing and
 filtering of command output.
