=== debian/changelog ===
libcli (1.9.7-2) unstable; urgency=low

  * Fix compilation with GCC 5. Thanks to James Cowgill. (closes: #777941)

 -- Jonathan McDowell <noodles@earth.li>  Fri, 26 Jun 2015 12:41:28 +0100

libcli (1.9.7-1) unstable; urgency=low

  * New upstream release.
  * Fix spelling mistake in description.
  * Bump Standards-Version to 3.9.5.0
    * Add symbols file covering 1.9.1 + 1.9.6.

 -- Jonathan McDowell <noodles@earth.li>  Sun, 23 Feb 2014 15:14:36 +0000
