=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Maintainer: Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper (>> 8)
-Standards-Version: 3.9.3.0
+Standards-Version: 3.9.5.0
 Vcs-Git: https://github.com/dparrish/libcli.git
 
 Package: libcli-dev
@@ -11,7 +11,7 @@
 Architecture: any
 Depends: libcli1.9 (= ${binary:Version}), ${misc:Depends} 
 Description: emulates a cisco style telnet command-line interface (dev files)
- libcli provides a consistant Cisco style command-line environment for
+ libcli provides a consistent Cisco style command-line environment for
  remote clients, with a few common features between every implemtation.
  .
  The library is not accessed by itself, rather the software which uses
@@ -34,7 +34,7 @@
 Provides: libcli1
 Replaces: libcli1
 Description: emulates a cisco style telnet command-line interface
- libcli provides a consistant Cisco style command-line environment for
+ libcli provides a consistent Cisco style command-line environment for
  remote clients, with a few common features between every implemtation.
  .
  The library is not accessed by itself, rather the software which uses
