=== debian/watch ===
version=3
http://githubredir.debian.net/github/dparrish/libcli /v(.+).tar.gz
