=== debian/changelog ===
libcli (1.10.2-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan McDowell <noodles@earth.li>  Sun, 01 Dec 2019 09:39:57 +0000

libcli (1.10.0-1) unstable; urgency=low

  * New upstream release.
    * Remove no longer necessary GCC 5 build patch.
  * Update watch file to use github directly instead of githubredir.
  * Bump debhelper to compat level 10.
  * Mark libcli-dev as Multi-Arch: same
  * Switch to DH.
  * Bump Standards-Version to 4.4.0 (no further changes from above)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 27 Jul 2019 14:47:26 -0300
