=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Priority: optional
 Section: libs
 Maintainer: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>> 8)
-Standards-Version: 3.9.5.0
+Build-Depends: debhelper (>> 10),
+	 dh-exec (>=0.3)
+Standards-Version: 4.4.0
 Vcs-Git: https://github.com/dparrish/libcli.git
 
 Package: libcli-dev
 Section: libdevel
 Architecture: any
-Depends: libcli1.9 (= ${binary:Version}), ${misc:Depends} 
+Depends: libcli1.10 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: emulates a cisco style telnet command-line interface (dev files)
  libcli provides a consistent Cisco style command-line environment for
  remote clients, with a few common features between every implemtation.
@@ -24,7 +26,7 @@
  This package contains the files necessary for developing applications
  with libcli.
 
-Package: libcli1.9
+Package: libcli1.10
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
