=== debian/watch ===
version=3
https://github.com/dparrish/libcli/tags .*/v(.*)\.tar\.gz
