## libcli 1.10.4

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 MAJOR = 1
 MINOR = 10
-REVISION = 2
+REVISION = 4
 LIB = libcli.so
 LIB_STATIC = libcli.a
