=== debian/changelog ===
libcli (1.10.4-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to cope with V/v in version tag.

 -- Jonathan McDowell <noodles@earth.li>  Mon, 18 May 2020 18:01:56 +0100
