## libcli 1.10.7

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 MAJOR = 1
 MINOR = 10
-REVISION = 4
+REVISION = 7
 LIB = libcli.so
 LIB_STATIC = libcli.a
 
@@ -79,7 +79,7 @@
 rpmprep:
 	rm -rf libcli-$(MAJOR).$(MINOR).$(REVISION)
 	mkdir libcli-$(MAJOR).$(MINOR).$(REVISION)
-	cp -R libcli.{c,h} libcli.spec clitest.c Makefile COPYING README.md doc libcli-$(MAJOR).$(MINOR).$(REVISION)
+	cp -R libcli.c libcli.h libcli.spec clitest.c Makefile COPYING README.md doc libcli-$(MAJOR).$(MINOR).$(REVISION)
 	tar zcvf libcli-$(MAJOR).$(MINOR).$(REVISION).tar.gz --exclude CVS --exclude *.tar.gz libcli-$(MAJOR).$(MINOR).$(REVISION)
 	rm -rf libcli-$(MAJOR).$(MINOR).$(REVISION)
