=== debian/changelog ===
libcli (1.10.7-3) unstable; urgency=medium

  * Fix FSF address in copyright file
  * Update debian/watch to v4 + GitHub releases page
  * Add libcrypt-dev to Build-Depends. Closes: #1106936

 -- Jonathan McDowell <noodles@earth.li>  Sat, 15 Nov 2025 17:31:25 +0000

libcli (1.10.7-2) unstable; urgency=medium

  [ Debian Janitor]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-exec.

  [ Jonathan McDowell ]
  * Fix compilation with GCC 14. Closes: #1075158
  * Switch to debhelper-compat level 13
  * Drop dh-exec dependency
  * Set Rules-Requires-Root to no
  * Bump Standards-Version to 4.7.0

 -- Jonathan McDowell <noodles@earth.li>  Fri, 26 Jul 2024 19:50:26 +0100

libcli (1.10.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062252

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 10:28:25 +0000

libcli (1.10.7-1) unstable; urgency=low

  * New upstream release.
  * Fix Vcs-Git link to point to Salsa

 -- Jonathan McDowell <noodles@earth.li>  Sun, 26 Sep 2021 11:29:16 +0100
